Debian Bug report logs - #586723
.haddock file in -dev creates broken symlinks in /usr/share/doc/ghc6-doc/html/libraries/index.html

version graph

Package: haskell-devscripts; Maintainer for haskell-devscripts is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for haskell-devscripts is src:haskell-devscripts.

Reported by: Marco Túlio Gontijo e Silva <marcot@debian.org>

Date: Mon, 21 Jun 2010 23:27:02 UTC

Severity: normal

Found in version haskell-devscripts/0.7.10

Fixed in version haskell-devscripts/0.8

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#586723; Package haskell-devscripts. (Mon, 21 Jun 2010 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 23:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: .haddock file in -dev creates broken symlinks in /usr/share/doc/ghc6-doc/html/libraries/index.html
Date: Mon, 21 Jun 2010 20:25:18 -0300
[Message part 1 (text/plain, inline)]
Package: haskell-devscripts
Version: 0.7.10
Severity: normal

If only the -dev package is installed and not the -doc, the link is created in
/usr/share/doc/ghc6-doc/html/libraries/index.html .  I can think of some ways
to solve this bug, from worse to best:

1. Merge the -doc package with -dev package.
2. Make the -doc package architecture dependent and move .haddock back to it.
3. Patch haddock to generate architecture independent .haddock files.

Greetings.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages haskell-devscripts depends on:
ii  cdbs                          0.4.84     common build system for Debian pac
ii  dctrl-tools                   2.14       Command-line tools to process Debi
ii  debhelper                     7.4.20     helper programs for debian/rules
ii  ghc6 [haddock]                6.12.1-13  GHC - the Glasgow Haskell Compilat
ii  hscolour                      1.16-1     Haskell program to colourise Haske
ii  html-xml-utils                5.7-1      HTML and XML manipulation utilitie
ii  xutils-dev                    1:7.5+3    X Window System utility programs f

haskell-devscripts recommends no packages.

haskell-devscripts suggests no packages.

-- no debconf information
-- 
marcot
http://wiki.debian.org/MarcoSilva
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#586723; Package haskell-devscripts. (Tue, 22 Jun 2010 09:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 22 Jun 2010 09:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 586723@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 586723@bugs.debian.org
Subject: Re: Bug#586723: .haddock file in -dev creates broken symlinks in /usr/share/doc/ghc6-doc/html/libraries/index.html
Date: Tue, 22 Jun 2010 11:28:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Montag, den 21.06.2010, 20:25 -0300 schrieb Marco Túlio Gontijo e
Silva:
> If only the -dev package is installed and not the -doc, the link is created in
> /usr/share/doc/ghc6-doc/html/libraries/index.html .  I can think of some ways
> to solve this bug, from worse to best:
> 
> 1. Merge the -doc package with -dev package.
> 2. Make the -doc package architecture dependent and move .haddock back to it.
> 3. Patch haddock to generate architecture independent .haddock files.

how about:
  4. Patch haddock to not link packages where the .haddock file is
present, but not the actual html files + cause *-doc-packages also
trigger the ghc6-doc trigger.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#586723; Package haskell-devscripts. (Fri, 14 Jan 2011 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Silva <marcot@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 14 Jan 2011 13:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 586723@bugs.debian.org (full text, mbox):

From: Marco Silva <marcot@debian.org>
To: 586723 <586723@bugs.debian.org>
Subject: .haddock doesn't seem to be arch dependent anymore
Date: Fri, 14 Jan 2011 11:41:21 -0200
[Message part 1 (text/plain, inline)]
Hi.

I created 2 .haddock files for extensible-exceptions using ghc6-6.12.1-13, one
in amd64 and other in i386, and they seem to be the same.  I believe it's not
the case anymore that .haddock files are architecture dependent, so this bug
can be easily fixed by moving .haddock files to -doc packages.

Greetings.
-- 
marcot
http://marcot.eti.br/
[Flattr=54498]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Marco Silva <marcot@marcot.eti.br> to control@bugs.debian.org. (Fri, 14 Jan 2011 15:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#586723; Package haskell-devscripts. (Sat, 15 Jan 2011 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 15 Jan 2011 06:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 586723@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Marco Silva <marcot@debian.org>, 586723@bugs.debian.org
Subject: Re: Bug#586723: .haddock doesn't seem to be arch dependent anymore
Date: Sat, 15 Jan 2011 12:16:14 +0530
[Message part 1 (text/plain, inline)]
Hi,

Am Freitag, den 14.01.2011, 11:41 -0200 schrieb Marco Silva:
> I created 2 .haddock files for extensible-exceptions using ghc6-6.12.1-13, one
> in amd64 and other in i386, and they seem to be the same.  I believe it's not
> the case anymore that .haddock files are architecture dependent, so this bug
> can be easily fixed by moving .haddock files to -doc packages.

note that ghc’s REAMDE.Debian needs to be adjusted (or removed
altogether) in the process.

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Fri, 04 Mar 2011 05:21:03 GMT) Full text and rfc822 format available.

Notification sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
Bug acknowledged by developer. (Fri, 04 Mar 2011 05:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 586723-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 586723-close@bugs.debian.org
Subject: Bug#586723: fixed in haskell-devscripts 0.8
Date: Fri, 04 Mar 2011 05:17:07 +0000
Source: haskell-devscripts
Source-Version: 0.8

We believe that the bug you reported is fixed in the latest version of
haskell-devscripts, which is due to be installed in the Debian FTP archive:

haskell-devscripts_0.8.dsc
  to main/h/haskell-devscripts/haskell-devscripts_0.8.dsc
haskell-devscripts_0.8.tar.gz
  to main/h/haskell-devscripts/haskell-devscripts_0.8.tar.gz
haskell-devscripts_0.8_all.deb
  to main/h/haskell-devscripts/haskell-devscripts_0.8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586723@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Mar 2011 10:31:07 +0530
Source: haskell-devscripts
Binary: haskell-devscripts
Architecture: source all
Version: 0.8
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 haskell-devscripts - Tools to help Debian developers build Haskell packages
Closes: 586723
Changes: 
 haskell-devscripts (0.8) experimental; urgency=low
 .
   [ Marco Silva ]
   * Fix ".haddock file in -dev creates broken symlinks in
     /usr/share/doc/ghc6-doc/html/libraries/index.html" by moving .haddock
     file to -doc package. (Closes: #586723)
   * Update Uploader name.
   * debian/copyright: Update name.
   * Use ghc instead of ghc6
   * debian/control: Remove xutils-dev, since lndir is not being used
     anymore.
   * Update package name from haddock to ghc-haddock.
 .
   [ Joachim Breitner ]
   * Bump standards version, no change
Checksums-Sha1: 
 7f59032af5124d557bb573601a93e9dc85ffaeb9 1051 haskell-devscripts_0.8.dsc
 4ef505fd3ad338baea76be1759127d4e06dada0d 26993 haskell-devscripts_0.8.tar.gz
 4a39c21a8e41a7dc420ce17e0dc3c40c8ed34e22 26840 haskell-devscripts_0.8_all.deb
Checksums-Sha256: 
 33900675b37158bfaad7fd0ddef07c77206734b7d72fa958e7116e717a29c525 1051 haskell-devscripts_0.8.dsc
 166236e3c2b14cb552d466b5ac6863e916edf1af24222699d1678240432e5909 26993 haskell-devscripts_0.8.tar.gz
 271867671eeb154b2f6477e0dcbb6549cf1ab9f02d625ac69b9202dd637f4524 26840 haskell-devscripts_0.8_all.deb
Files: 
 375f9a5c1debc70ee58630b38e95dc7b 1051 haskell extra haskell-devscripts_0.8.dsc
 0926903c035ed28e889ec583c4675ace 26993 haskell extra haskell-devscripts_0.8.tar.gz
 fb97b52d4a38640c4c66279fca30bfb7 26840 haskell extra haskell-devscripts_0.8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1wcjEACgkQ9ijrk0dDIGxLPQCg0YcGrAFKoGis1uH1ZN5UB9rp
p2YAnij0+qz22wKIm4Uw+7qTFpSYlX25
=2KEs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:35:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:38:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.